Bug 823666 - Explicit entry and exit points to profile mcollective calls in the log.
Explicit entry and exit points to profile mcollective calls in the log.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 16:05 EDT by Rob Millner
Modified: 2015-05-14 21:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-24 13:38:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2012-05-21 16:05:14 EDT
Description of problem:
The profile merge script (rhc-profiler-merge-report) relies on inferring from the logs when a call begins and ends.  This is especially dicey for parallel calls which overlap.

Add specific log entries explicitly mark the start, end and duration of any call for profiling, parallel or not.

Version-Release number of selected component (if applicable):
rhc-node-0.93.2-1

How reproducible:
The ss_* mcollective calls cannot be profiled.  The parallel call data is inacurate.

Steps to Reproduce:
1. Do a benchmark run with profiling enabled
2. run rhc-profiler-merge-report on the resulting data

  
Actual results:
Missing or inaccurate call data.


Expected results:
Accurate call data.

Additional info:
Comment 1 Rob Millner 2012-05-23 17:12:27 EDT
I was able to work around this by having rhc-profiler-merge-report look for the log entry for YAML encoding the response if all else fails and add log entries to the mcollective log that it already knew to look for.

Passing to Q/A in case there's anything they'd like to verify; but this is basically just related to the benchmark Jenkins task.
Comment 2 Johnny Liu 2012-05-24 07:15:22 EDT
Hi Rob,

For QE, we never tested profiling stuff. I remembered the user story about profiling stuff is marked with "no need QE". If I am right, can you help verify this bug and verify it?


Thanks

Johnny
Comment 3 Rob Millner 2012-05-24 13:38:05 EDT
No need for Q/E.  Finishing the bug.

Note You need to log in before you can comment on or make changes to this bug.